-- Assistant, by ObserverTim

local Usable = IsCollectibleUsable
local UseIt  = UseCollectible
local Using  = IsCollectibleActive

local BASTIAN   = 9245   -- 27 / 1
local MIRRI     = 9353   -- 27 / 2
local EMBER     = 9911   -- 27 / 3
local ISOBEL    = 9912   -- 27 / 4
local SHARP     = 11113  -- 27 / 5
local AZANDAR   = 11114  -- 27 / 6

local TYTHIS    = 267    -- 8 / 1
local PIRHARRI  = 300    -- 8 / 2
local NUZIMEH   = 301    -- 8 / 3
-- Allaria Erwen the Exporter (396 / 8 / 4)
-- Cassus Andronicus the Mercenary (397 / 8 / 5)
local EZABI     = 6376   -- 8 / 6
local FEZEZ     = 6378   -- 8 / 7
local JANGLE    = 8994   -- 8 / 8
local PEDDLER   = 8995   -- 8 / 9
local PROPERTY  = 9743   -- 8 / 10
local COMMERCE  = 9744   -- 8 / 11
local GHRASH    = 9745   -- 8 / 12
local GILADIL   = 10184  -- 8 / 13
local ADERENE   = 10617  -- 8 / 14
local ZUQOTH    = 10618  -- 8 / 15
local HOARFROST = 11059  -- 8 / 16
local PYROCLAST = 11097  -- 8 / 17
local DRINWETH  = 11876  -- 8 / 18
local TZOZABRAR = 11877  -- 8 / 19
local ERI       = 12413  -- 8 / 20
local XYN       = 12414  -- 8 / 21

function AssistantLoaded(event,addonName)
	if addonName ~= "Assistant" then return end

	SLASH_COMMANDS["/aderene"]      = function() if Usable(ADERENE)   then UseIt(ADERENE) end end
	SLASH_COMMANDS["/azandar"]      = function() if Usable(AZANDAR)   then UseIt(AZANDAR) end end
	SLASH_COMMANDS["/bastian"]      = function() if Usable(BASTIAN)   then UseIt(BASTIAN) end end
	SLASH_COMMANDS["/commerce"]     = function() if Usable(COMMERCE)  then UseIt(COMMERCE) end end
	SLASH_COMMANDS["/drinweth"]     = function() if Usable(DRINWETH)  then UseIt(DRINWETH) end end
	SLASH_COMMANDS["/ember"]        = function() if Usable(EMBER)     then UseIt(EMBER) end end
	SLASH_COMMANDS["/eri"]          = function() if Usable(ERI)       then UseIt(ERI) end end
	SLASH_COMMANDS["/ezabi"]        = function() if Usable(EZABI)     then UseIt(EZABI) end end
	SLASH_COMMANDS["/fezez"]        = function() if Usable(FEZEZ)     then UseIt(FEZEZ) end end
	SLASH_COMMANDS["/ghrasharog"]   = function() if Usable(GHRASH)    then UseIt(GHRASH) end end
	SLASH_COMMANDS["/giladil"]      = function() if Usable(GILADIL)   then UseIt(GILADIL) end end
	SLASH_COMMANDS["/hoarfrost"]    = function() if Usable(HOARFROST) then UseIt(HOARFROST) end end
	SLASH_COMMANDS["/isobel"]       = function() if Usable(ISOBEL)    then UseIt(ISOBEL) end end
	SLASH_COMMANDS["/jangle"]       = function() if Usable(JANGLE)    then UseIt(JANGLE) end end
	SLASH_COMMANDS["/mirri"]        = function() if Usable(MIRRI)     then UseIt(MIRRI) end end
	SLASH_COMMANDS["/nuzimeh"]      = function() if Usable(NUZIMEH)   then UseIt(NUZIMEH) end end
	SLASH_COMMANDS["/peddler"]      = function() if Usable(PEDDLER)   then UseIt(PEDDLER) end end
	SLASH_COMMANDS["/pirharri"]     = function() if Usable(PIRHARRI)  then UseIt(PIRHARRI) end end
	SLASH_COMMANDS["/property"]     = function() if Usable(PROPERTY)  then UseIt(PROPERTY) end end
	SLASH_COMMANDS["/pyroclast"]    = function() if Usable(PYROCLAST) then UseIt(PYROCLAST) end end
	SLASH_COMMANDS["/sharpasnight"] = function() if Usable(SHARP)     then UseIt(SHARP) end end
	SLASH_COMMANDS["/tythis"]       = function() if Usable(TYTHIS)    then UseIt(TYTHIS) end end
	SLASH_COMMANDS["/tzozabrar"]    = function() if Usable(TZOZABRAR) then UseIt(TZOZABRAR) end end
	SLASH_COMMANDS["/xyn"]          = function() if Usable(XYN)       then UseIt(XYN) end end
	SLASH_COMMANDS["/zuqoth"]       = function() if Usable(ZUQOTH)    then UseIt(ZUQOTH) end end

	EVENT_MANAGER:UnregisterForEvent("Assistant",EVENT_ADD_ON_LOADED)
end

EVENT_MANAGER:RegisterForEvent("Assistant", EVENT_ADD_ON_LOADED, AssistantLoaded)
